List contacts in a broadcast with optional status filter.
curl --request GET \
--url https://api.zavu.dev/v1/broadcasts/{broadcastId}/contacts \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"recipient": "<string>",
"recipientType": "phone",
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"templateVariables": {},
"messageId": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"cost": 123,
"processedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Status of a contact within a broadcast.
pending, queued, sending, delivered, failed, skipped x <= 100curl --request GET \
--url https://api.zavu.dev/v1/broadcasts/{broadcastId}/contacts \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"recipient": "<string>",
"recipientType": "phone",
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"templateVariables": {},
"messageId": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"cost": 123,
"processedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}